%define rname hachette
%define name emacs-%{rname}
%define version 1.5
%define release 1mdk

%define flavor emacs xemacs

Summary: Lookup a word on the Hachette's online french dictionary under Emacs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.cis.ohio-state.edu/archive/archive/%{rname}.el
Source1: %{name}-autostart.el
Copyright: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: %{flavor}
BuildRequires: perl

%description
Lookup a word on the Hachette's online french dictionary under Emacs or Xemacs.

%prep
install -D -m644 %{SOURCE0} %{name}-%{version}/
%setup -T -D

%build
for i in %{flavor};do
$i -batch -q -no-site-file -f batch-byte-compile %{rname}.el 
mv %{rname}.elc $i-%{rname}.elc
done

#Maybe need adjust
perl -n -e 'last if /^\(/;last if /^;;; Code/; print' < %{SOURCE0} > DOCUMENTATION

%install
rm -rf $RPM_BUILD_ROOT

for i in %{flavor};do
install -D -m644 $i-%{rname}.elc %{buildroot}%{_datadir}/$i/site-lisp/
[[ $i = emacs ]] && install -D -m644 %{rname}.el %{buildroot}%{_datadir}/emacs/site-lisp/
done

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{name}.el
%{expand:%(%__cat %{SOURCE1})}
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc DOCUMENTATION
%config(noreplace) /etc/emacs/site-start.d/%{name}.el
%{_datadir}/*/site-lisp/*el*

%changelog
* Tue May 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-1mdk
- First version aims to be a template spec file for single emacs mode.

# end of file
